#ifndef _VI3X_WORKER_H_
#define _VI3X_WORKER_H_

#include "vi3x_types.h"

typedef struct vi3x_workflow_s
    {
    vi3x_module_t *filters;
    vi3x_module_t *last_filter;
    } vi3x_workflow_t;

vi3x_workflow_t *vi3x_create(void);
int vi3x_init(vi3x_workflow_t *wf);
int vi3x_run(vi3x_workflow_t *wf);
void vi3x_destroy(vi3x_workflow_t *wf);
int vi3x_add_import(vi3x_workflow_t *wf, char const *args);
int vi3x_add_export(vi3x_workflow_t *wf, char const *args);
int vi3x_add_filter(vi3x_workflow_t *wf, char const *args);

#endif /* _VI3X_WORKER_H_ */
